%global __provides_exclude_from %{_datadir}/doc/.*
%global __requires_exclude_from %{_datadir}/doc/.*

%bcond_without memphis
%bcond_with demos

%define major		0
%define api		0.12
%define gi_major	0.12

%define oname		champlain
%define libname		%mklibname %{oname} %{api} %{major}
%define libnamegtk	%mklibname %{oname}-gtk %{api} %{major}

%define girname		%mklibname %{oname}-gir %{gi_major}
%define girnamegtk	%mklibname %{oname}-gtk-gir %{gi_major}

%define libnamedev	%mklibname -d %{oname}
%define libnamedevgtk	%mklibname -d %{oname}-gtk

Summary:	Map view for Clutter
Name:		libchamplain
Version:	0.12.21
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		http://projects.gnome.org/libchamplain/
Source0:	https://download.gnome.org/sources/libchamplain/0.12/%{name}-%{version}.tar.xz
BuildRequires:	chrpath
BuildRequires:	meson
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libsoup-gnome-2.4)
%if %{with memphis}
BuildRequires:	lib64memphis-devel
%endif
BuildRequires:	vala-devel

%description
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

#--------------------------------------------------------------------

%package -n %libname
Summary:	Development files for %{name}
Group:		System/Libraries

%description -n %{libname}
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

%files -n %{libname}
%{_libdir}/lib*.%{major}*
%{_libdir}/girepository-1.0/*.typelib
#--------------------------------------------------------------------

%package -n %{libnamedev}
Summary:	Development files for %{name}
Group:		Development/Libraries
Provides:	%{oname}-devel = %{version}-%{release}
Provides:    %{name}-devel = %{version}-%{release}
Requires:    %{libname} = %{version}-%{release}
Requires:	%{name}-vala = %{version}-%{release}
%if %{without demos}
Obsoletes:	%{name}-demos < %{version}-%{release}
%endif

%description -n %{libnamedev}
This package contains development files for %{name}.

%files -n %libnamedev
%{_datadir}/gir-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig
%{_includedir}

#--------------------------------------------------------------------

%package vala
Summary:	Vala bindings for %{name}
Group:		Development/Other
Requires:	vala

%description vala
This package contains vala bindings for development %{name}.

%files vala
%{_datadir}/vala/vapi

%if %{with demos}

%package demos
Summary:	Demo apps for %{name}
Group:		System/Libraries
Requires:	%{name}-devel = %{version}-%{release}
BuildArch:	noarch

%description demos
This package contains demos for development using %{name}.

%files demos
%doc demos/*.c
%doc demos/*.h
%doc demos/*.vala
%doc demos/*.js
%doc demos/Makefile*
%doc demos/*.py
%doc demos/*.osm

%endif
#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%meson \
	-Dmemphis=%{?with_memphis:true}%{!?with_memphis:false} \
	-Dintrospection=true \
	-Dvapi=true \
	-Dwidgetry=true \
	-Dgtk_doc=false \
	-Dlibsoup3=false \
	-Ddemos=%{?with_demos:true}%{!?with_demos:false}
%meson_build

%install
%meson_install

# Remove rpaths.
chrpath --delete %{buildroot}%{_libdir}/%{name}-gtk-*.so.*


%changelog
* Mon Feb 27 2023 tex - 0.12.21-2pclos2023
- rebuild without soup3-devel

* Thu Jan 26 2023 tex - 0.12.21-1pclos2023
- new version

* Sat Jun 01 2019 tex - 0.12.19-2pclos2019
- rebuild against updates

* Fri May 10 2019 tex - 0.12.19-1pclos2019
- new

